; Septic's Demoskola - Lektion 9b : DOS Trackloading från bootblocket
; Skriven av Vicious / Septic - 15 Oktober 1993

; Små instruktioner för AsmOne:
; För att installera ett bootblock som detta, gör på följande sätt...

;   * Stoppa i disken du vill ha bootblocket på i DF0:
;   * Assemblera sourcen
;   * Använd kommandot Write Sector (WS) och svara med labeln S när frågan
;     om RAM PTR kommer upp. Sen skriver du start sector 0 och längd 2
;     sectorer, eftersom bootblocket är 2 sectorer (2*512 bytes).
;   * Efter detta använder du kommandot Calculate Checksum (CC) så räknar
;     AsmOne ut den nya checksumman för bootblocket och rättar till den. Om
;     inte checksumman är korrekt kommer bootblocket inte boota.

	section	Lektion9b,code_c

s:	dc.b	'DOS',$00
	dc.l	$11111111		; Checksumma
	dc.l	880
j:
	move.l	$4.w,a6
	jsr	-132(a6)		; Forbid() multitasking
	move.l	#2*512,$2c(a1)		; Offset sector 2
	move.l	#$70000,$28(a1)		; Destination adress $70000
	move.l	#269*512,$24(a1)		; Längd 50 sectorer
	move.w	#$2,$1c(a1)		; Kommando READ
	jsr	-456(a6)		; DoIO()

	JMP	$70000

	blk.b	1024,0
